# Interface TokenMessengerInterface

#### Hierarchy

- Interface
  - TokenMessengerInterface

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:26

#####
Index

### Methods

decodeFunctionResult
encodeFunctionData
getEvent
getFunction

## Methods

### decodeFunctionResult

- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "acceptOwnership"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:134
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "addLocalMinter"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:138
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "addRemoteTokenMessenger"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:142
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "depositForBurn"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:146
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "depositForBurnWithCaller"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:150
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "handleReceiveMessage"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:154
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "localMessageTransmitter"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:158
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "localMinter"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:162
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "messageBodyVersion"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:166
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "owner"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:170
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "pendingOwner"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:171
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "remoteTokenMessengers"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:175
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "removeLocalMinter"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:179
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "removeRemoteTokenMessenger"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:183
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "replaceDepositForBurn"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:187
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "rescueERC20"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:191
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "rescuer"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:195
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "transferOwnership"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:196
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "updateRescuer"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:200

### encodeFunctionData

- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "acceptOwnership"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:63
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "addLocalMinter"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:67
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "addRemoteTokenMessenger"

  - ##### values: [BigNumberish, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:71
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "depositForBurn"

  - ##### values: [BigNumberish, BigNumberish, BytesLike, AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:75
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "depositForBurnWithCaller"

  - ##### values: [BigNumberish, BigNumberish, BytesLike, AddressLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:79
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "handleReceiveMessage"

  - ##### values: [BigNumberish, BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:83
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "localMessageTransmitter"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:87
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "localMinter"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:91
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "messageBodyVersion"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:95
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "owner"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:99
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "pendingOwner"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:100
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "remoteTokenMessengers"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:104
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "removeLocalMinter"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:108
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "removeRemoteTokenMessenger"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:112
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "replaceDepositForBurn"

  - ##### values: [BytesLike, BytesLike, BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:116
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "rescueERC20"

  - ##### values: [AddressLike, AddressLike, BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:120
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "rescuer"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:124
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "transferOwnership"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:125
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "updateRescuer"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:129

### getEvent

- getEvent(nameOrSignatureOrTopic): EventFragment

- #### Parameters

  - ##### nameOrSignatureOrTopic: "DepositForBurn" | "LocalMinterAdded" | "LocalMinterRemoved" | "MintAndWithdraw" | "OwnershipTransferStarted" | "OwnershipTransferred" | "RemoteTokenMessengerAdded" | "RemoteTokenMessengerRemoved" | "RescuerChanged"

  #### Returns EventFragment

  Overrides Interface.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:50

### getFunction

- getFunction(nameOrSignature): FunctionFragment

- #### Parameters

  - ##### nameOrSignature: "messageBodyVersion" | "owner" | "pendingOwner" | "acceptOwnership" | "addLocalMinter" | "addRemoteTokenMessenger" | "depositForBurn" | "depositForBurnWithCaller" | "handleReceiveMessage" | "localMessageTransmitter" | "localMinter" | "remoteTokenMessengers" | "removeLocalMinter" | "removeRemoteTokenMessenger" | "replaceDepositForBurn" | "rescueERC20" | "rescuer" | "transferOwnership" | "updateRescuer"

  #### Returns FunctionFragment

  Overrides Interface.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:27

Generated using TypeDoc